diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index b979291b..bb302594 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2075,7 +2075,14 @@ define([
       var self = this;
       /* self.sqlCtrl is null when Definition tab is not active */
       if(self.sqlCtrl) {
-        let sqlEditPreferences = pgAdmin.Browser.get_preferences_for_module('sqleditor');
+
+        /* This control is used by filter dialog in query editor, so taking preferences from window
+         * SQL Editor can be in different tab
+         */
+        let browser = window.opener ?
+              window.opener.pgAdmin.Browser : window.top.pgAdmin.Browser;
+
+        let sqlEditPreferences = browser.get_preferences_for_module('sqleditor');
 
         $(self.sqlCtrl.getWrapperElement()).css(
           'font-size',SqlEditorUtils.calcFontSize(sqlEditPreferences.sql_font_size)
diff --git a/web/pgadmin/utils/preferences.py b/web/pgadmin/utils/preferences.py
index 6e8e00e4..d91da1e4 100644
--- a/web/pgadmin/utils/preferences.py
+++ b/web/pgadmin/utils/preferences.py
@@ -617,7 +617,7 @@ class Preferences(object):
         try:
             pref.set(value)
         except Exception as e:
-            current_app.logger.exeception(e)
+            current_app.logger.exception(e)
             return False, str(e)
 
         return True, None
